Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class SOAPElementCodec

    java.lang.Object
      weblogic.webservice.encoding.AbstractCodec
          weblogic.webservice.encoding.SOAPElementCodec

All Implemented Interfaces:
  Serializable, Deserializer, DeserializerFactory, Serializer, SerializerFactory

Deprecated. please migrate to jws for webservices

    public abstract class SOAPElementCodec

extends AbstractCodec

See Also:
  Serialized Form

Constructor Summary
`SOAPElementCodec()` Deprecated.

Method Summary
`Object` | `deserialize(XMLName name, Attribute att, DeserializationContext context)` Deprecated.
`Object` | `deserialize(XMLName name, XMLInputStream reader, DeserializationContext context)` Deprecated.
`protected abstract Object` | `deserializeSOAPElement(SOAPElement element, DeserializationContext context)` Deprecated. Returns a Java representation of the XML contained in the SOAPElement.
`void` | `serialize(Object obj, XMLName name, XMLOutputStream writer, SerializationContext context)` Deprecated.
`protected abstract SOAPElement` | `serializeToSOAPElement(Object input, XMLName name, SOAPElement parent, SerializationContext context)` Deprecated. Take the given input Object and return a new SOAPElement instance containing the XML representation of that Object.

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPElementCodec

    public SOAPElementCodec()

  Deprecated.

Method Detail

### deserializeSOAPElement

    protected abstract Object deserializeSOAPElement(SOAPElement element,
                                                     DeserializationContext context)
                                              throws SOAPFaultException

  Deprecated.
  Returns a Java representation of the XML contained in the SOAPElement.

  Parameters:
    `element` - The SOAPElement object containing the XML
  Returns:
    Java representation of XML in element
  Throws:
    `SOAPFaultException` - If an error occurrs

### serializeToSOAPElement

    protected abstract SOAPElement serializeToSOAPElement(Object input,
                                                          XMLName name,
                                                          SOAPElement parent,
                                                          SerializationContext context)
                                                   throws SOAPFaultException

  Deprecated.
  Take the given input Object and return a new SOAPElement instance containing the XML representation of that Object.

  Parameters:
    `input` - The object to represent in XML
    `name` - The name of the containing XML element to be written
    `parent` - The SOAPElement that will be the parent of the resulting SOAPElement
  Returns:
    new SOAPElement representation of input
  Throws:
    `SOAPFaultException` - If an error occurrs

### deserialize

    public final Object deserialize(XMLName name,
                                    XMLInputStream reader,
                                    DeserializationContext context)
                             throws DeserializationException

  Deprecated.
  Throws:
    `DeserializationException`

### deserialize

    public final Object deserialize(XMLName name,
                                    Attribute att,
                                    DeserializationContext context)
                             throws DeserializationException

  Deprecated.
  Throws:
    `DeserializationException`

### serialize

    public final void serialize(Object obj,
                                XMLName name,
                                XMLOutputStream writer,
                                SerializationContext context)
                         throws SerializationException

  Deprecated.
  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD